DECLARE FUNCTION PULL% (BYVAL Inverse%, BYVAL Normal%, BYVAL BarMenu%, BYVAL KeyOff%, BYVAL BarNumber%, BYVAL VM1%, BYVAL VM1A%, BYVAL VM10%, BYVAL VM2%, BYVAL VM2A%, BYVAL VM20%, BYVAL VM3%, BYVAL VM3A%, BYVAL VM30%, BYVAL VM4%, BYVAL VM4A%, BYVAL  _
VM40%, BYVAL VM5%, BYVAL VM5A%, BYVAL VM50%, BYVAL VM6%, BYVAL VM6A%, BYVAL VM60%, BYVAL VM7%, BYVAL VM7A%, BYVAL VM70%)
'
BarMenu$ = " English   Italian   German    French    Spanish   Hellos    Quit     "
BarMenu% = SADD(BarMenu$)
BarMenuKeys$ = "EIGFSHL"
KeyOff% = SADD(BarMenuKeys$)
BarNumber% = 7
'
        DEF SEG = 0
        Attr% = PEEK(&H410)             'this is where BIOS stores video state
        SELECT CASE Attr%
                CASE 48 TO 63
                        Inverse% = 112 'or &H70       'Compare Attr% to all
                        Normal% = 7                   'byte numbers that have
                        Attr% = 0                     'bits 5 & 4 set. If they
                CASE 112 TO 127                       'are both set, it means
                        Inverse% = 112                'mono, otherwise, color.
                        Normal% = 7
                        Attr% = 0
                CASE 176 TO 191
                        Inverse% = 112
                        Normal% = 7
                        Attr% = 0
                CASE 240 TO 255
                        Inverse% = 112
                        Normal% = 7
                        Attr% = 0
                CASE ELSE
                        Inverse% = 31           'bright white on blue
                        Normal% = 121           'bright blue on white
        END SELECT
DEF SEG

'vrt_menu section:
VM1% = 4
VM1A% = 11
VM1$ = " Hundreds    Tho_usands  Millions    Billions   "
VM10% = SADD(VM1$)
'
VM2% = 9
VM2A% = 7
VM2$ = "Uno     Due     Tre     _QuattroCinque  Sei     Sette   Ot_to   Nove    "
VM20% = SADD(VM2$)
'
VM3% = 5
VM3A% = 13
VM3$ = " Ein...Ctrl+E  Z_wei         Dr_ei         Vier          Funf...F10   "
VM30% = SADD(VM3$)
'
VM4% = 3
VM4A% = 20
VM4$ = "Vingt et un          Vingt et deu_x       Vingt et trois       "
VM40% = SADD(VM4$)
'
VM5% = 4
VM5A% = 14
VM5$ = "Ciento         Ciento y _uno  Ciento y _dos  Cien_to y tres "
VM50% = SADD(VM5$)
'
VM6% = 3
VM6A% = 16
VM6$ = " Hello, there     Live long and    Prosper.        "
VM60% = SADD(VM6$)

'
VM7% = 1
VM7A% = 13
VM7$ = " _Quit...Esc  "
VM70% = SADD(VM7$)

'
'vrt_menu section ends
'
CLS
LOCATE 2, 34
SELECT CASE Attr%
        CASE 0
                COLOR 0, 7
        CASE ELSE
                COLOR 7, 1      'white on blue
END SELECT
PRINT " PULDOWN.BAS "
COLOR 7, 0

RETVAL% = PULL%(Inverse%, Normal%, BarMenu%, KeyOff%, BarNumber%, VM1%, VM1A%, VM10%, VM2%, VM2A%, VM20%, VM3%, VM3A%, VM30%, VM4%, VM4A%, VM40%, VM5%, VM5A%, VM50%, VM6%, VM6A%, VM60%, VM7%, VM7A%, VM70%)
'
LOCATE 5, 1
'
        SELECT CASE RETVAL%
                CASE 1
                        GOTO Last       'Yes, it's ESC
                CASE 2 TO 68
                        GOTO BadKey     'don't want these
                CASE 69
                        GOTO IsCtrl     'we want this one -- CHR$(69) = E
                CASE 70 TO 167
                        GOTO BadKey     'don't want these
                CASE 168
                        GOTO IsFKey     'F10

        END SELECT

'
RETVAL$ = "    "
CHOICE$ = "You have selected "
FOR RT = 1 TO 4
        MID$(RETVAL$, RT, 1) = CHR$(PEEK(RETVAL%))
        RETVAL% = RETVAL% + 1
NEXT

SELECT CASE RETVAL$
        CASE " Hel"
                GOSUB greeting
        CASE "Uno "
                GOSUB italian
        CASE " Z_w"
                GOSUB deutsch
        CASE "Ving"
                GOSUB francais
        CASE " _Qu"
                GOTO Last
        CASE ELSE
                GOTO AnyKey
END SELECT
        GOTO Last

AnyKey:
        PRINT "You have selected "; RETVAL$
        GOTO Last
IsCtrl:
        PRINT "You have pressed Ctrl+e and selected  'Ein'"

        GOTO Last
IsFKey:
        PRINT "You have pressed F10 and selected 'Funf'"
        GOTO Last
BadKey:
        PRINT "You have pressed an unassigned key"

Last:
        END

greeting:
                COLOR 16, 7
                PRINT "Hello   Hello"
                WHILE INKEY$ = "": WEND
                COLOR 7, 0
                RETURN Last
italian:
                COLOR 0, 7
                PRINT "MA CHE, SCHERZI?"
                WHILE INKEY$ = "": WEND
                COLOR 7, 0
                RETURN Last
deutsch:
                COLOR 16, 7
                PRINT "Ein VolksMenu. Wunderbar!"
                COLOR 7, 0
                RETURN Last
francais:
                COLOR 1, 0
                PRINT "Yo, alouette..."
                COLOR 7, 0
                RETURN Last


